Bug 1533284 - Remove 'Include C&U metrics' option for Metering Reports
Summary: Remove 'Include C&U metrics' option for Metering Reports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-11 00:08 UTC by Nandini Chandra
Modified: 2019-02-07 23:00 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:53 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screen shot of 'Include C&U metrics' option for Metering Reports (52.52 KB, image/png)
2018-01-11 00:08 UTC, Nandini Chandra
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:59 UTC

Description Nandini Chandra 2018-01-11 00:08:26 UTC
Created attachment 1379770 [details]
Screen shot of  'Include C&U metrics' option  for Metering Reports

Description of problem:
----------------------
Currently, user has the ability to enable/disable 'Include C&U metrics' option while creating  Metering Reports.

See attached screen shot.

This option is redundant, since, by definition, Metering Reports always include C&U metrics.


Version-Release number of selected component (if applicable):
------------------------------
5.9.0.16


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
1.Create a Metering Report by navigating to Cloud Intel -> Reports.


Actual results:
---------------
The Filter tab has the 'Include C&U metrics' option .


Expected results:
-----------------
The 'Include C&U metrics' option should be removed for Metering Reports.


Additional info:
-----------------

Comment 2 Hilda Stastna 2018-04-11 11:27:14 UTC
Detailed Steps to Reproduce:
1. Go to Cloud Intel -> Reports -> Reports accordion
2. Under Configuration, click on Add a new Report
3. Under Configure Report Columns (Columns tab), choose Metering for VMs
4. Choose some of Available Fields and move them down
5. Go to Filter tab and you will see The 'Include C&U Metrics' option under Chargeback Resources

Additional info:
I was not able to reproduce the bug if choosing Metering for Images/Projects (step 3 from the detailed steps to reproduce above). This is obvious if we check the code.

Comment 4 CFME Bot 2018-04-16 09:32:26 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/be2c7f18329667b7d7676fc2e80ecdc1112233c1
commit be2c7f18329667b7d7676fc2e80ecdc1112233c1
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Wed Apr 11 11:27:38 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Wed Apr 11 11:27:38 2018 -0400

    Remove 'Include C&U metrics' option for Metering Reports

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1533284

    Remove 'Include C&U metrics' option for Metering Reports under Cloud Intel > Reports > Reports,
    for Metering for VMs, as this option is redundant, since, by definition, Metering Reports always
    include C&U metrics.

 app/views/report/_form_filter_chargeback.html.haml | 19 +-
 1 file changed, 10 insertions(+), 9 deletions(-)

Comment 5 Nandini Chandra 2018-07-09 20:36:15 UTC
verified in 5.10.0.2

Comment 6 errata-xmlrpc 2019-02-07 23:00:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.